Delete view

Delete the specified view. This operation is not reversible; please confirm that the view is no longer needed before performing it.

POST https://moi.matrixorigin.cn/newmoi/meta/view/drop

Preparation before calling

Prepare the personal access token, workspace ID, database name, and view name with delete permissions for the target view. You can first query the table in the database to confirm the name.

The examples below use $AI_STUDIO_API_KEY, $WORKSPACE_ID, $DATABASE, and $VIEW.

Request body

Replace caller-specific values in the example with actual values.

db_namestringRequired
The name of the database where the view is located.
table_namestringRequired
The name of the view to delete.

Request example

curl -X POST "https://moi.matrixorigin.cn/newmoi/meta/view/drop" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H 'Content-Type: application/json' \
  -d "{\"db_name\":\"$DATABASE\",\"table_name\":\"$VIEW\"}"

Successful response

{"code":200,"data":null}

The response fields are as follows.

Field

Type

Description

code

integer

200 on success.

data

null

This operation does not return a result object.

A successful response does not return an object. Then query the table in the database to confirm that the view no longer appears.

Error response

codeinteger or string
Error code or status.
messagestring
Error message.

Error response example

{
  "code": 400,
  "message": "table_name 不能为空"
}

Follow-up operations

View table field, confirm that the target no longer appears.

Last updated on